@font-face {
  font-family: "Titan One";
  src: url(../fonts/TitanOne/TitanOne-Regular.ttf) format("ttf");
}
/* vars */
:root {
  /* colors */
  --sunglow: #ffcc35;
  --chocolate-web: #dc7126;
  --carnelian: #b81616;
  --green-ryb: #68b306;
  --avocado: #4f8904;
  --background: #eeeeee;
  --cultured: #f5f6f7;
  --gainsboro: #dedfdf;
  --silver: #c7c7c7;
  --manatee: #979ba7;
  --granite-gray: #636363;
  --eerie-black: #262626;
  --cosmic-latte: #fdf4e0;
}

body {
  margin: 0;
}
body .hidden {
  display: none !important;
}
body .alert-danger {
  color: red;
}
body .spinner {
  position: absolute;
  display: inline-block;
  align-self: center;
  top: 50vh;
  right: 50%;
  height: 60px;
  width: 60px;
  transform: translate(50%, 0);
}
body .spinner div {
  position: absolute;
  display: block;
  height: 60px;
  width: 60px;
  box-sizing: border-box;
  border: 6px solid #fff;
  border-color: #FFF transparent transparent transparent;
  border-radius: 50%;
  animation: spinner 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
}
body .spinner div:nth-child(1) {
  animation-delay: -0.45s;
}
body .spinner div:nth-child(2) {
  animation-delay: -0.3s;
}
body .spinner div:nth-child(3) {
  animation-delay: -0.15s;
}
@keyframes spinner {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.elipse {
  display: flex;
  justify-content: center;
  height: 10vh;
  width: 10vh;
  align-items: center;
  border-radius: 50%;
}
.elipse.yellow {
  background-color: inherit;
  border: 3px solid var(--sunglow);
}
.elipse.yellow svg,
.elipse.yellow svg path {
  stroke: var(--sunglow);
}
.elipse.yellow.active {
  background-color: var(--sunglow);
}
.elipse.yellow.active svg,
.elipse.yellow.active svg path {
  stroke: #FFF;
}

header {
  position: relative;
}
header h1 {
  display: flex;
  gap: 1vw;
  margin: 0;
  padding: 2.5vh 0 5vh 8vw;
  width: 65vw;
  font-size: 12vw;
  font-style: normal;
  font-weight: 400;
  font-family: "Titan One", cursive;
  background: linear-gradient(101.39deg, var(--sunglow) 3.41%, var(--carnelian) 91.01%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  text-fill-color: transparent;
}
header h1 svg {
  height: auto;
  width: 35vw;
}
header .elipse {
  position: absolute;
  top: 2vh;
  right: 4vw;
}

.page-content {
  font-family: "Montserrat", sans-serif;
}
.page-content h2 {
  color: var(--carnelian);
}
.page-content input,
.page-content textarea,
.page-content select {
  font-family: "Montserrat", sans-serif;
}
.page-content .btn {
  width: 45vw;
  padding: 1vh 0;
  text-align: center;
  font-size: 4vw;
  font-weight: 500;
  text-decoration: none;
  text-transform: uppercase;
  border-radius: 5px;
}
.page-content .main-btn {
  color: #fff;
  background-color: var(--chocolate-web);
  border: none;
}
.page-content .second-btn {
  color: var(--chocolate-web);
  border: 2px solid var(--chocolate-web);
}
.page-content .scroll {
  max-height: 45vh;
  overflow-y: scroll;
}
.page-content .scroll::-webkit-scrollbar {
  width: 8px;
}
.page-content .scroll::-webkit-scrollbar-track {
  background-color: #fff;
  border-radius: 10px;
}
.page-content .scroll::-webkit-scrollbar-thumb {
  background-color: var(--chocolate-web);
  border-radius: 10px;
}
.page-content ul {
  list-style-type: none;
}
.page-content .newBet_js,
.page-content .newVote_js {
  display: flex;
  justify-content: center;
  gap: 10px;
  padding: 1vh 3vw;
  align-items: center;
}
.page-content .newBet_js p,
.page-content .newVote_js p {
  margin: 0;
}
.page-content .bet {
  position: relative;
  display: flex;
  flex-direction: column;
  min-height: 75px;
  width: 85vw;
  margin: 3vw;
  padding: 2vh 3vw;
  font-size: 4.5vw;
  border: 2px solid var(--chocolate-web);
  border-radius: 10px;
}
.page-content .bet h3 {
  display: flex;
  justify-content: space-between;
  gap: 10px;
  margin: 0;
  align-items: center;
  font-size: 5vw;
}
.page-content .bet h3 p {
  display: flex;
  justify-content: center;
  gap: 2vw;
  margin: 0;
  align-items: center;
}
.page-content .bet h3 p .title {
  width: 40vw;
}
.page-content .bet h3 p .statut {
  margin: 0;
  padding: 1vh 2vw;
}
.page-content .bet p {
  margin: 2vh 0;
  font-size: 4vw;
}
.page-content .bet .statut {
  display: block;
  min-width: 55px;
  padding: 2vh 4vw;
  text-align: center;
  color: #000;
  font-size: 3.5vw;
  font-weight: bold;
  border: 2px solid #000;
  border-radius: 10px;
}
.page-content .bet .statut.open {
  color: var(--avocado);
  border-color: var(--avocado);
}
.page-content .bet .statut.closed {
  color: var(--carnelian);
  border-color: var(--carnelian);
}
.page-content .bet .statut.old {
  color: var(--granite-gray);
  border-color: var(--granite-gray);
}
.page-content .bet .user-name {
  font-weight: 600;
}
.page-content .bet .date {
  min-width: 95px;
  padding: 1vw;
  text-align: center;
  font-weight: 600;
  border: 1px solid;
  border-radius: 10px;
}
.page-content .bet span:has(svg) {
  position: absolute;
  top: 10px;
  right: 20px;
}
.page-content .bet .btn-box {
  display: flex;
  justify-content: center;
}
.page-content#homePage {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2vh;
  margin: 2vh 0;
}
.page-content#homePage .elipse {
  margin: 2vh auto;
  background-color: var(--sunglow);
}
.page-content#homePage ul.bet-list {
  max-height: 55vh;
  width: 95vw;
  margin: 0 auto;
  padding: 0;
}
.page-content#homePage ul.bet-list .bet-elem {
  width: 85%;
}
.page-content#showBetPage .bet-elem .newVote_js {
  margin: 2vh 0 1vh;
}
.page-content#showBetPage .bet-elem ul.votes-list {
  display: flex;
  flex-direction: column;
  gap: 1vh;
  margin: 1vh 0 0;
  padding: 0 0 0 2vw;
  list-style-type: none;
}
.page-content#showBetPage .bet-elem ul.votes-list li.vote-elem {
  display: flex;
  justify-content: space-between;
  padding: 10px;
  align-items: center;
  font-size: 2vw;
  background-color: rgba(220, 113, 38, 0.2196078431);
  gap: 3vw;
}
.page-content#showBetPage .bet-elem ul.votes-list li.vote-elem img {
  height: 40px;
  width: 40px;
  border-radius: 50%;
  -o-object-fit: cover;
     object-fit: cover;
}
.page-content#showBetPage .bet-elem ul.votes-list li.vote-elem p {
  margin: 0;
}
.page-content#showBetPage .bet-elem ul.votes-list li.vote-elem.form {
  display: flex;
  justify-content: space-between;
  padding: 10px;
  background-color: rgba(220, 113, 38, 0.2196078431);
}
.page-content#showBetPage .bet-elem ul.votes-list li.vote-elem.form select,
.page-content#showBetPage .bet-elem ul.votes-list li.vote-elem.form input[type=date],
.page-content#showBetPage .bet-elem ul.votes-list li.vote-elem.form .postVote_js {
  padding: 5px 10px;
  font-size: 4vw;
  border: none;
  border-radius: 5px;
}
.page-content#showBetPage .bet-elem ul.votes-list li.vote-elem.form .postVote_js {
  color: #FFF;
  font-weight: 500;
  background-color: #dc7126;
}
.page-content#showBetPage .bet-elem ul.votes-list li.vote-elem.no-vote {
  text-align: center;
  background-color: inherit;
}
.page-content#loginPage, .page-content#newBetPage, .page-content#newVotePage {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.page-content#loginPage form, .page-content#newBetPage form, .page-content#newVotePage form {
  display: flex;
  flex-direction: column;
  gap: 2vh;
  align-items: center;
  margin-bottom: 2vh;
}
.page-content#loginPage form label, .page-content#newBetPage form label, .page-content#newVotePage form label {
  font-weight: 600;
}
.page-content#loginPage form #bet,
.page-content#loginPage form #vote, .page-content#newBetPage form #bet,
.page-content#newBetPage form #vote, .page-content#newVotePage form #bet,
.page-content#newVotePage form #vote {
  display: flex;
  flex-direction: column;
  gap: 1vh;
  width: 90vw;
  padding: 2vh 3vw;
  color: #fff;
  background-color: var(--chocolate-web);
  border-radius: 10px;
}
.page-content#loginPage form #bet div,
.page-content#loginPage form #vote div, .page-content#newBetPage form #bet div,
.page-content#newBetPage form #vote div, .page-content#newVotePage form #bet div,
.page-content#newVotePage form #vote div {
  display: flex;
  gap: 1vw;
  color: #fff;
}
.page-content#loginPage form #bet div, .page-content#newBetPage form #bet div, .page-content#newVotePage form #bet div {
  justify-content: space-between;
}
.page-content#loginPage form #bet div > *, .page-content#newBetPage form #bet div > *, .page-content#newVotePage form #bet div > * {
  padding: 10px;
}
.page-content#loginPage form #bet div textarea,
.page-content#loginPage form #bet div select, .page-content#newBetPage form #bet div textarea,
.page-content#newBetPage form #bet div select, .page-content#newVotePage form #bet div textarea,
.page-content#newVotePage form #bet div select {
  width: 52vw;
  border: none;
  border-radius: 5px;
}
.page-content#loginPage form #bet div textarea, .page-content#newBetPage form #bet div textarea, .page-content#newVotePage form #bet div textarea {
  min-height: 5vh;
  max-height: 15vh;
  resize: vertical;
}
.page-content#loginPage form #bet div select, .page-content#newBetPage form #bet div select, .page-content#newVotePage form #bet div select {
  width: 53vw;
}
.page-content#loginPage form #vote div:has(#vote_bet), .page-content#newBetPage form #vote div:has(#vote_bet), .page-content#newVotePage form #vote div:has(#vote_bet) {
  margin-bottom: 3vh;
  font-size: 6vw;
}
.page-content#loginPage form #vote div:has(#vote_bet) #vote_bet, .page-content#newBetPage form #vote div:has(#vote_bet) #vote_bet, .page-content#newVotePage form #vote div:has(#vote_bet) #vote_bet {
  color: #fff;
  background-color: var(--chocolate-web);
  font-size: 6vw;
  font-weight: 600;
  border: none;
  opacity: 1;
  -webkit-appearance: none;
  -moz-appearance: none;
}
.page-content#loginPage form #vote div:has(#vote_date), .page-content#loginPage form #vote div:has(#vote_user), .page-content#newBetPage form #vote div:has(#vote_date), .page-content#newBetPage form #vote div:has(#vote_user), .page-content#newVotePage form #vote div:has(#vote_date), .page-content#newVotePage form #vote div:has(#vote_user) {
  justify-content: space-between;
}
.page-content#loginPage form #vote div:has(#vote_date) input,
.page-content#loginPage form #vote div:has(#vote_date) select, .page-content#loginPage form #vote div:has(#vote_user) input,
.page-content#loginPage form #vote div:has(#vote_user) select, .page-content#newBetPage form #vote div:has(#vote_date) input,
.page-content#newBetPage form #vote div:has(#vote_date) select, .page-content#newBetPage form #vote div:has(#vote_user) input,
.page-content#newBetPage form #vote div:has(#vote_user) select, .page-content#newVotePage form #vote div:has(#vote_date) input,
.page-content#newVotePage form #vote div:has(#vote_date) select, .page-content#newVotePage form #vote div:has(#vote_user) input,
.page-content#newVotePage form #vote div:has(#vote_user) select {
  padding: 0.5vh 1vw;
  border: none;
  border-radius: 5px;
}
.page-content#loginPage form #vote div:has(#vote_date) #vote_date,
.page-content#loginPage form #vote div:has(#vote_date) #vote_user, .page-content#loginPage form #vote div:has(#vote_user) #vote_date,
.page-content#loginPage form #vote div:has(#vote_user) #vote_user, .page-content#newBetPage form #vote div:has(#vote_date) #vote_date,
.page-content#newBetPage form #vote div:has(#vote_date) #vote_user, .page-content#newBetPage form #vote div:has(#vote_user) #vote_date,
.page-content#newBetPage form #vote div:has(#vote_user) #vote_user, .page-content#newVotePage form #vote div:has(#vote_date) #vote_date,
.page-content#newVotePage form #vote div:has(#vote_date) #vote_user, .page-content#newVotePage form #vote div:has(#vote_user) #vote_date,
.page-content#newVotePage form #vote div:has(#vote_user) #vote_user {
  justify-content: end;
  width: 52vw;
}
.page-content#loginPage form #vote div:has(#vote_date) #vote_date, .page-content#loginPage form #vote div:has(#vote_user) #vote_date, .page-content#newBetPage form #vote div:has(#vote_date) #vote_date, .page-content#newBetPage form #vote div:has(#vote_user) #vote_date, .page-content#newVotePage form #vote div:has(#vote_date) #vote_date, .page-content#newVotePage form #vote div:has(#vote_user) #vote_date {
  width: 50vw;
}
.page-content#loginPage form #vote div:has(#vote_date) #vote_date select, .page-content#loginPage form #vote div:has(#vote_user) #vote_date select, .page-content#newBetPage form #vote div:has(#vote_date) #vote_date select, .page-content#newBetPage form #vote div:has(#vote_user) #vote_date select, .page-content#newVotePage form #vote div:has(#vote_date) #vote_date select, .page-content#newVotePage form #vote div:has(#vote_user) #vote_date select {
  width: 33%;
}
.page-content#loginPage {
  margin-top: 5vh;
}
.page-content#loginPage form {
  width: 90vw;
}
.page-content#loginPage form .login {
  display: flex;
  flex-direction: column;
  gap: 2vh;
  align-items: center;
  width: 90%;
  padding: 3vh 4vw;
  border: 2px solid var(--chocolate-web);
  border-radius: 10px;
}
.page-content#loginPage form .login div {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 1vh;
  width: 85%;
}
.page-content#loginPage form .login div label {
  color: var(--carnelian);
}
.page-content#loginPage form button {
  margin-top: 2vh;
}

footer nav {
  position: absolute;
  bottom: 20px;
  display: flex;
  justify-content: center;
  gap: 40px;
  width: 100%;
}/*# sourceMappingURL=style.css.map */